#!/bin/sh

# use like ./getURL http://www.galois.com
# This pattern fetches a reguar web page using wget, and generates a
# feed entry for it.

FEEDFILE=/tmp/pageFeed.xml

# If the feed doesn't already exist, generate it with something like this:
# ./feed-cli new-feed -t"Page Updates" -o$FEEDFILE -lhttp://www.example.com

echo $1
wget $1 -O outfile.html

./dist/build/feed-cli/feed-cli new-item -u$FEEDFILE -t"[$1]  @ `date`" -Doutfile.html -l$1

rm outfile.html
